Sets properties to the current time, or offsets from the current time.

The default properties are TSTAMP, DSTAMP and TODAY;

Based on Ant's Tstamp task.

author | Michiel Rook
version | $Id$
package | phing.tasks.system
since | 2.2.0
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Adds a custom format

    addFormat(\TstampCustomFormat $cf)

### Parameters

#### $cf

`\TstampCustomFormat`

custom format

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

inherited_from | \Task::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Create the timestamps.

    main()

Custom ones are done before the standard ones.

### Exceptions

`\BuildException` |

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## helper that encapsulates prefix logic and property setting policy (i.e.

    prefixProperty($name, $value)

we use setNewProperty instead of setProperty).

### Parameters

#### $name

#### $value

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Set a prefix for the properties.

    setPrefix(\prefix $prefix)

If the prefix does not end with a "." one is automatically added.

### Parameters

#### $prefix

`\prefix`

the prefix to use.

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $customFormats

##

    $prefix